Help upgrading PHP version 5.3.3 to 5.4 inplace

Discussion in 'Installation/Configuration' started by syco, Jun 5, 2017.

  1. syco

    syco New Member

    My wordpress is starting to have plugins that don't work and yum upgrade is a nogo. Thoughts?

    Centos 6.5 ISPConfig 3 3.1.1p1
    Tried searching around and found lots of howto for installing multiple versions but that wasn't what I have in mind. Any help would be greatly appreciated.
     
  2. Taleman

    Taleman Member

    Seems You have ruled out the straightforward solutions. If installing another PHP version and choosing to use that on those sites that need it AND upgrading your PHP to a newer version are ruled out, it is hard to suggest additional solutions.
    If the case really is as You state, what I would do is install a new ISPConfig setup with the desired PHP version, and then move the website with Wordpress there. You can add an additional web server to the ISPConfig setup, but moving a website there must be done manually. Create a new website on the new server, copy over files and databases, modify configuration files and test if it works.
     

Share This Page